# Customers

Customers are a representation of your customers. These are used to get better insight in your PayPro payments for instance when searching for a customer name in our dashboard.

Customers can be [created](/reference/api/customers/createcustomer) directly through the API or are created by the system when a payment is paid and no existing customer is associated.

For recurring payments and subscriptions it is mandatory to create a customer. This allows us to manage [mandates](/reference/api/mandates), [subscriptions](/reference/api/subscriptions) and [payments](/reference/api/payments) on the customer level.

A customer does not require any customer information, but we recommend to atleast provide a name or email. This makes it easier to manage your customers and payments in the PayPro dashboard.

To see how you can use customers see our [Subscriptions guide](/docs/subscriptions).


## Retrieves a customer

 - [GET /customers/{id}](https://docs.paypro.nl/reference/api/customers/retrievecustomer.md): Retrieves a single customer based on the id.

## Updates a customer

 - [PATCH /customers/{id}](https://docs.paypro.nl/reference/api/customers/updatecustomer.md): Updates a Customer object. Returns the updated Customer.

## Retrieves a list of customers

 - [GET /customers](https://docs.paypro.nl/reference/api/customers/retrievelistofcustomers.md): Retrieve a list of customers that have been created for your account. The customers are sorted, with the most recent first.

## Creates a customer

 - [POST /customers](https://docs.paypro.nl/reference/api/customers/createcustomer.md): Creates a Customer object.

## Retrieves a list of subscriptions that belong to this customer

 - [GET /customers/{id}/subscriptions](https://docs.paypro.nl/reference/api/customers/retrievelistofsubscriptionsbycustomer.md): Retrieves a list of subscriptions that belong to this customer.

## Retrieves a list of mandates that belong to this customer

 - [GET /customers/{id}/mandates](https://docs.paypro.nl/reference/api/customers/retrievelistofmandatesbycustomer.md): Retrieves a list of mandates that belong to this customer.

